/* ================================================== header start ================================================ */
header {
    padding: 30px 0;
    background-color: var(--navy-blue);
    z-index: 100;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    transition: 0.3s ease-in-out;
}

header .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/* sticky */
header.sticky {
    padding: 22px 0;
    box-shadow: 0 2px 10px rgb(0 0 0 / .1);
}

body:has(.toggled),
html:has(.toggled) {
    overflow: hidden;
}

/* nav */
header .main-navigation {
    display: flex;
    align-items: center;
    gap: 44px;
}

header #primary-menu {
    display: flex;
    align-items: center;
    gap: 24px;
}

header #primary-menu li {
    position: relative;
}

header #primary-menu li a {
    color: var(--white);
    font-family: var(--dm-sans);
    font-weight: 500;
    font-size: 15px;
    line-height: 20px;
    transition: 0.3s ease-in-out;
}

header #primary-menu li.current-menu-item a,
header #primary-menu .current-menu-parent>a {
    color: var(--green) !important;
}

header #primary-menu>li:first-child a {
    margin-right: 6px;
}

header #primary-menu>li:first-child a img {
    height: 14px;
    width: 14px;
    transition: 0.3s;
}

header #primary-menu li a:hover {
    color: var(--green);
}

header #primary-menu li.current-menu-item a img,
header #primary-menu li a:hover img {
    filter: brightness(0) saturate(100%) invert(70%) sepia(38%) saturate(481%) hue-rotate(130deg) brightness(86%) contrast(88%);
}

header .claims-advocacy .sub-menu {
    min-width: max-content;
}

/* logo */
header .custom-logo-link {
    max-width: 160px;
    height: auto;
    width: 160px;
}

header .custom-logo-link img {
    max-width: 100%;
    height: 100%;
    margin-bottom: 3px;
}

/* btn */
.header-filled-btn a {
    background-color: var(--green);
    padding: 9px 30px;
    font-family: var(--dm-sans);
    font-weight: 700;
    font-size: 16px;
    line-height: 20px;
    border: 1px solid var(--green);
    color: var(--white);
    text-transform: uppercase;
    transition: all 0.3s ease-in-out;
}

.header-filled-btn a:hover {
    background-color: var(--f0);
    color: var(--green);
}

/* submenu */
header .sub-menu {
    padding: 18px;
    min-width: 232px;
    position: absolute;
    left: 0;
    top: calc(100% + 11px);
    width: auto;
    opacity: 0;
    visibility: hidden;
    transition: all .5s ease-in 0s;
    -webkit-transition: all .5s ease-in 0s;
    border: none;
    background-color: var(--white);
    display: block !important;
    z-index: 111;
    box-shadow: 0 0 10px rgb(0 0 0 / .17);
    -webkit-box-shadow: 0 0 10px rgb(0 0 0 / .17);
}

header #primary-menu li:hover .sub-menu {
    opacity: 1;
    visibility: visible;
}

header #primary-menu li .sub-menu li {
    margin-bottom: 6px;
}

header #primary-menu li .sub-menu li:last-child {
    margin-bottom: 0 !important;
}

header #primary-menu li .sub-menu li a {
    color: var(--navy-blue);
}

header #primary-menu li .sub-menu li a:hover {
    color: var(--green);
}

/* toggle button */
.main-navigation .menu-toggle {
    position: relative;
    width: 40px;
    height: 40px;
    cursor: pointer;
    display: -webkit-box;
    display: -ms-flexbox;
    display: none;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: none;
    border: 0;
}

.main-navigation.toggled .menu-toggle span:nth-child(1) {
    width: 23px;
    -webkit-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

.main-navigation.toggled .menu-toggle span:nth-child(2) {
    opacity: 0;
}

.main-navigation.toggled .menu-toggle span:nth-child(3) {
    width: 23px;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.main-navigation .menu-toggle span {
    height: 2px;
    margin: 3px 5px;
    width: 28px;
    display: block;
    background: #fff;
    -webkit-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
    transform-origin: right center;
}

.main-navigation .menu-toggle span:nth-child(2) {
    width: 22px;
}

/* ================================================== footer start ================================================ */
footer {
    background-color: var(--dark-blue);
    position: relative;
    z-index: 1;
}

footer .top-footer {
    padding: 74px 0 29px;
}

footer .top-footer .footer-links ul li {
    margin-bottom: 8px;
    line-height: 0;
}

footer .top-footer .footer-links ul li:last-child {
    margin-bottom: 0 !important;
}

footer h2 {
    font-family: var(--dm-sans);
    font-weight: 600;
    font-size: 20px;
    line-height: 26px;
    margin-bottom: 16px !important;
    color: var(--white);
}

footer a,
footer p {
    color: var(--gray-01);
    font-family: var(--dm-sans);
    font-weight: 400;
    font-size: 15px;
    line-height: 20px;
    transition: 0.3s ease-in-out;
}

footer a:hover {
    color: var(--green);
}

/* life insurance */
.life-insurance-links {
    max-width: 170px;
    margin-inline: auto;
}

/* contact us */
footer .contact-us {
    max-width: fit-content;
    margin-left: auto;
}

footer .contact-us p a {
    font-size: 20px;
    line-height: 26px;
    margin: 2px 0 22px;
    color: var(--white);
}

footer .contact-us figure img {
    max-width: 211px;
    height: auto;
    margin: 80px 0 25px;
}

.menu-social-menu-container ul {
    display: flex;
    align-items: center;
    gap: 14px;
}

.menu-social-menu-container ul li {
    margin: 0 !important;
}

footer .contact-us a img {
    height: auto;
    width: 32px;
    aspect-ratio: 1/1;
    border-radius: 3px;
}

/* bottom footer */
.bottom-footer {
    padding: 38px 0;
    border-top: 1px solid #B5BEBE;
}

.bottom-footer .privacy-menu ul {
    display: flex;
    align-items: center;
    column-gap: 36px;
}

.bottom-footer .privacy-menu ul li {
    position: relative;
}

.bottom-footer .privacy-menu ul li::after {
    right: -18px;
    position: absolute;
    content: "";
    width: 1px;
    height: 85%;
    background-color: var(--gray-01);
    top: 50%;
    transform: translateY(-50%);
}

.bottom-footer .privacy-menu ul li:last-child::after {
    display: none;
}


/* ================================================== media query start ================================================ */
@media screen and (max-width:1199px) {

    /* ================================================== header start ================================================ */
    header {
        padding: 22px 0;
    }

    /* sticky */
    header.sticky {
        padding: 20px 0;
    }

    /* nav */
    header .main-navigation {
        gap: 26px;
    }

    header #primary-menu {
        gap: 11px;
    }

    header #primary-menu li a {
        font-size: 14px;
        line-height: 20px;
    }

    header #primary-menu>li:first-child a {
        margin-right: 0px;
    }

    /* logo */
    header .custom-logo-link {
        max-width: 148px;
        width: 148px;
    }

    /* btn */
    .header-filled-btn a {
        padding: 8px 26px;
        font-size: 15px;
        line-height: 18px;
    }

    /* submenu */
    header .sub-menu {
        padding: 16px;
        min-width: 211px;
    }

    /* ================================================== footer start ================================================ */
    footer .top-footer {
        padding: 60px 0 26px;
    }

    footer .top-footer .footer-links ul li {
        margin-bottom: 7px;
    }

    footer h2 {
        margin-bottom: 14px !important;
    }

    /* contact us */
    footer .contact-us p a {
        margin: 2px 0 13px;
    }

    footer .contact-us figure img {
        max-width: 172px;
        margin: 50px 0 20px;
    }

    .menu-social-menu-container ul {
        gap: 12px;
    }

    footer .contact-us a img {
        width: 28px;
    }

    /* bottom footer */
    .bottom-footer {
        padding: 28px 0;
    }

    .bottom-footer .privacy-menu ul {
        column-gap: 26px;
    }

    .bottom-footer .privacy-menu ul li::after {
        right: -13px;
        height: 82%;
    }


}

@media screen and (max-width:991px) {

    /* ================================================== header start ================================================ */
    header {
        padding: 15px 0;
    }

    /* sticky */
    header.sticky {
        padding: 13px 0;
    }

    header #primary-menu>li:first-child a img {
        height: 18px;
        width: 18px;
    }

    /* toggle menu */
    header .main-navigation {
        flex-direction: row-reverse;
        gap: 15px;
    }

    header .main-navigation .menu-toggle {
        display: flex;
    }

    header .toggled .menu-menu-1-container {
        transform: translateX(0);
    }

    /* menu nav */
    header .menu-menu-1-container {
        position: fixed;
        z-index: -1;
        top: 0;
        right: 0;
        height: 100dvh;
        width: 100%;
        transform: translateX(100%);
        background-color: var(--navy-blue);
        overflow: hidden;
        transition: all 0.2s ease-in-out;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    header #primary-menu {
        padding-inline: 20px;
        gap: 26px;
        flex-direction: column;
        height: fit-content;
        align-items: center;
        max-height: 600px;
        overflow-y: auto;
    }

    /* nav menu */
    header #primary-menu li {
        text-align: center;
        width: 100%;
    }

    header #primary-menu li>a {
        font-size: 22px;
        line-height: 26px;
        width: 100%;
        position: relative;
    }

    header #primary-menu>li:first-child a {
        margin-right: 0px;
    }

    header #primary-menu li.menu-item-has-children>a:before {
        top: 55%;
        right: 0;
        content: "";
        background: url(../images/arrow-icon.svg) no-repeat center center / cover;
        height: 14px;
        width: 8px;
        position: absolute;
        transform: rotate(90deg) translateY(-50%);
        transform-origin: top center;
    }

    /* submenu */
    header .sub-menu {
        display: none !important;
        padding: 14px 0 0px;
        min-width: auto;
        position: relative;
        left: 0;
        top: 0;
        width: auto;
        opacity: 1;
        visibility: visible;
        box-shadow: none;
        background-color: transparent;
    }

    header #primary-menu li.focus .sub-menu {
        display: block !important;
    }

    header #primary-menu li .sub-menu li a {
        color: var(--white);
        font-size: 18px;
        line-height: 24px;
    }

    /* ================================================== footer start ================================================ */
    footer .top-footer {
        padding: 56px 0 24px;
    }

    footer .top-footer .row {
        row-gap: 25px;
    }

    footer h2 {
        margin-bottom: 12px !important;
        font-size: 19px;
        line-height: 24px;
    }

    .life-insurance-links {
        margin-inline: 0;
    }

    /* contact us */
    footer .contact-us {
        max-width: 100%;
    }

    footer .contact-us p a {
        margin: 2px 0 10px;
    }

    footer .contact-us figure img {
        max-width: 160px;
        margin: 30px 0 18px;
    }

    .menu-social-menu-container ul {
        gap: 11px;
    }

    footer .contact-us a img {
        width: 26px;
    }

    /* bottom footer */
    .bottom-footer {
        padding: 26px 0;
    }

    .bottom-footer .row {
        row-gap: 15px;
    }

    .bottom-footer .privacy-menu ul {
        column-gap: 26px;
        justify-content: center;
        flex-wrap: wrap;
    }

    .bottom-footer .privacy-menu ul li::after {
        right: -13px;
        height: 82%;
    }
}

@media screen and (max-width:767px) {

    /* ================================================== header start ================================================ */
    header .custom-logo-link {
        max-width: 128px;
        width: 128px;
    }

    header {
        padding: 11px 0;
    }

    /* button */
    .header-filled-btn a {
        padding: 7px 22px;
        font-size: 14px;
        line-height: 18px;
    }

    header .main-navigation {
        gap: 9px;
    }

    header #primary-menu li>a {
        font-size: 20px;
        line-height: 24px;
    }

    header #primary-menu li .sub-menu li a {
        font-size: 16px;
        line-height: 22px;
    }

}

@media screen and (max-width:576px) {

    /* ================================================== footer start ================================================ */
    /* bottom footer */
    .bottom-footer {
        padding: 24px 0;
    }

    .bottom-footer .row {
        row-gap: 12px;
    }

    .bottom-footer .privacy-menu ul {
        column-gap: 20px;
    }

    .bottom-footer .privacy-menu ul li::after {
        right: -10px;
        height: 68%;
    }

    footer a,
    footer p {
        font-size: 14px;
        line-height: 18px;
    }
}